---
title: "Stop execution for the given workflow."
slug: "stop-execution-for-the-given-workflow"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop execution for the given workflow.

Post/v1/workflow_runs/{run-id}/stop

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersrun-idstring (uuid) Required

An instance of a running workflow.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='855fa466-800e-4bc1-b67e-5fc9781f0683'>application/json</option>
</select>Expand Allobject  runobject (WorkflowRun)  run_idstring  (uuid)    

Run ID of running workflow

run_statusstring    Valid values[
  "PENDING",
  "RUNNING",
  "FAILED",
  "SUCCEEDED",
  "TERMINATING",
  "TERMINATED",
  "UNKNOWN"
]
created_atinteger  (int64)    

Time workflow was started.

graph_idstring  (uuid)    
graph_versionstring    

The current version of the running graph, not necessarily the same version that was started originally.

group_idstring  (uuid)    
deploymentobject (WorkflowDeployment)  

Deployment info for a workflow. Exactly one of kubernetes_single_job or aci_single_job field must be set.

kubernetes_single_jobobject (KubernetesSingleJob)  namespacestring    
cluster_idstring  (uuid)    

aci_single_jobobject (AciSingleJob)  cluster_idstring  (uuid)    
deployment_locationstring    

workflow_cluster_dataobject (WorkflowRunData)  AciSingleJobobject (AciWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    
container_group_namestring    
deployment_namestring    

KubernetesSingleJobobject (KubernetesWorkflowRunData)  app_idstring  (uuid)    
build_idstring  (uuid)    
config_idstring    
cluster_idstring  (uuid)    

genericobject (WorkflowRunRawResponse)  kubernetes
aci
